# $Revision: 1.10 $, $Date: 2005/03/30 23:13:59 $
Summary:	GNOME wallpaper changer lived in notification area
Summary(pl):	Zmieniacz tapety GNOME obecny w obszarze powiadomie
Name:		gnome-wallpaper-tray
Version:	0.4.6
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://earthworm.no-ip.com/wp_tray/wp_tray-%{version}.tar.gz
# Source0-md5:	455bb350252564139f04ca2de9af22a8
Patch0:		%{name}-desktop.patch
URL:		http://earthworm.no-ip.com/wp_tray/
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.6.3
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.10.0-2
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wallpaper Tray is a wallpaper utility that sits in your GNOME Panel
Notification Area. It gives you a random wallpaper from your chosen
directory at logon, on a timer, and allows you to select a new
wallpaper at random from its menu.

%description -l pl
Wallpaper Tray to narzdzie do tapet rezydujce w obszarze powiadomie
Panelu GNOME. Daje losow tapet z podanego katalogu po zalogowaniu,
lub po upywie jakiego czasu oraz pozwala na losowy wybr nowej
tapety z menu.

%prep
%setup -q -n wp_tray-%{version}
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	gnomemenudir=%{_desktopdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO ChangeLog
%attr(755,root,root) %{_bindir}/wp_tray
%{_datadir}/wp_tray
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-wallpaper-tray.spec,v $
Revision 1.10  2005/03/30 23:13:59  paladine
- rel. 4 for rebuild with howl 0.9.10

Revision 1.9  2004/12/02 12:56:05  paladine
- rel 3 for fixed desktop patch STBR

Revision 1.8  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.7  2004/09/20 11:21:27  ankry
- added -desktop patch, rel. 2

Revision 1.6  2004/05/28 17:30:51  qboosh
- fixed build on amd64, BR: pkgconfig, release 1

Revision 1.5  2003/10/19 17:54:03  wiget
- 0.4.6

Revision 1.4  2003/10/09 09:35:20  qboosh
- description from URL, pl, cosmetics

Revision 1.3  2003/10/09 09:30:19  wiget
- updated to 0.4.4

Revision 1.2  2003/10/05 23:39:11  wiget
- URL fix

Revision 1.1  2003/10/05 23:37:59  wiget
- initial
